package testcase;

import java.net.URI;
import java.net.URISyntaxException;

import javax.ejb.EJB;
import javax.ejb.Stateless;
import javax.ws.rs.core.Response;

@Stateless
public class CustomerResourceImpl implements CustomerResource {
	@EJB
	private Customermanagement cm;
	
	@Override
	public Response createCustomer(Customer customer) {
		cm.createCustomer(customer);
		URI kundeUri = null;
		try {
			kundeUri = new URI("http://localhost:8080/customermanagement/customer/" + customer.getId());
		} catch (URISyntaxException e) {
			throw new RuntimeException(e);
		}
		return Response.created(kundeUri).build();
	}
}
